SystemOrganization addCategory: #'Orange-Wiki'!

Object subclass: #ORAjaxWikiComponent
	instanceVariableNames: 'wikiString generator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Wiki'!

!ORAjaxWikiComponent methodsFor: 'as yet unclassified' stamp: 'chc 10/25/2015 11:56'!
generate! !

!ORAjaxWikiComponent methodsFor: 'as yet unclassified' stamp: 'chc 10/25/2015 12:06'!
initialize
	wikiString := '*One of our submarines is missing tonight*'.
	generator := ORWikiGenerator new. 
	"add a generator with Xtreams PEG parser generating HTML here"! !

!ORAjaxWikiComponent methodsFor: 'as yet unclassified' stamp: 'chc 10/25/2015 11:56'!
renderOn: json
	json object:
		[json name: 'html' value: (self generate)]! !

Object subclass: #ORWikiFormatRequest
	instanceVariableNames: 'wikiString'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Wiki'!

!ORWikiFormatRequest class methodsFor: 'as yet unclassified' stamp: 'chc 8/18/2015 13:41'!
username: username password: password
	^ (self withUsername: username password: password) signal! !

!ORWikiFormatRequest class methodsFor: 'as yet unclassified' stamp: 'chc 8/18/2015 13:41'!
withUsername: username password: password
	^ self basicNew
		initializeWithUsername: username password: password! !

!ORWikiFormatRequest methodsFor: 'initialization' stamp: 'chc 8/18/2015 13:42'!
initializeWithUsername: aUsername password: aPassword
	self initialize.
	! !

!ORWikiFormatRequest methodsFor: 'interpreting' stamp: 'chc 8/18/2015 13:53'!
name: aString value: anObject
	aString = 'wikiString' ifTrue: [wikiString := anObject].
	! !

!ORWikiFormatRequest methodsFor: 'interpreting' stamp: 'chc 8/18/2015 13:41'!
object: aBlock
	aBlock value
	! !

!ORWikiFormatRequest methodsFor: 'accessing' stamp: 'chc 8/18/2015 13:42'!
wikiString

	^ wikiString! !

!ORWikiFormatRequest methodsFor: 'accessing' stamp: 'chc 8/18/2015 13:42'!
wikiString: anObject

	wikiString := anObject! !
